Users online right now: 97 - Login  » search  » forum index  

Plasma widgets ERROR

saman
wrote 1 year ago


reply
I downloaded some widgets for plasma which is based on python, but when running them it shows "Could not create a python script engine" in the widget window.
Is there anybody who can help me?
 
saman
wrote 1 year ago


reply
Dear EM,

I got python 2.7.3 but it did not help me at all.

p.s. What news about new XFCE that you just show us its screenshots? is it ready now? How long should we wait for XFCE‌:(‌ ?
 
jcsoh
wrote 1 year ago


reply
"A screencast of the 7.0.5 version here :"

Saman wants a slax 7 xfce module to download !.
A screencast just make him drool..... :)
 
saman
wrote 1 year ago


reply
EM is a great guy who really did his/her best to provide very great modules, take a look at slax.org modules section, you may barely find a sensible and subtle module, instead Please take a look at those fantastic modules were originally made by MarkDS (I really missed him) ,JCSOH and QUAX and of course EM can be found on this forum.

Any of slax users who has a little piece of wisdom admire the priceless effort of these great guys and any person who removed EM's post is disrespecting all of slax users.

MY APOLOGIES :">, thanks EM for clarification.
 
saman
wrote 1 year ago


reply
jcsoh wrote:
"A screencast of the 7.0.5 version here :"

Saman wants a slax 7 xfce module to download !.
A screencast just make him drool..... :)


Gee I have it now, and If you ask me adding XFCE feels like adding strawberry jelly and butter on sapless slax!
meanwhile, there are few points that I wanted to mention here that needs your help to be solved.
1. audacious can not be started
2. epdf viewer can not open most pdf files, i prefer okular


a. Also i do not know how to deal with the dock? there is no possibility of modifying it like cairo dock, and there is no indicator to show how many windows are opened too, it requires an explanation.

b. also I have found lots of xfce themes out there I do not know where exactly put them on my slax.

c. If you compare current xfce (the whole package i meant) with previous version, it is about 40mbs bigger is it normal?

d. how can I modify the root password from "toor" on the login panel?


*** I almost forgot to send my best regards to EM for providing XFCE after months of waiting : ) ***
 
jcsoh
wrote 1 year ago


reply
"epdf viewer can not open most pdf files, i prefer okular"
Get adobereader. I think okular is built into Dolphin File Manager.
http://fluxflux.net/forum/index.php?action=downloads;cat=10

Convert from a console using txz2sb
Note Fluxflux are run by flux (ex slaxer) and Manfred Mueller (Better known as Quax on Slax's forum).
 
saman
wrote 1 year ago


reply
Thanks for clarification, But you could leave that link here and warn the users of guest instead of removing it ^_^

Could you please help me with the doc on XFCE? how can I modify it?

em wrote:
@ Saman !

Be quiet ! Stay cool ! :)

Tomas is not faulty @t all in that chapter ! :)

I just remove Xfce bundles cause there some bugs in guest part of it !

I correct it and add others abilities. I just need some time. Im not a m@chine ... not again :)

Maybe one day ... :)

http://www.youtube.com/results?q=robot&oe=utf-8&client=ubuntu&channel=fs&redir_esc=&um=1&ie=UTF-8&gl=FR&sa=N&tab=w1
em wrote:
@ Saman !
 
saman
wrote 1 year ago


reply
jcsoh wrote:
"epdf viewer can not open most pdf files, i prefer okular"
Get adobereader. I think okular is built into Dolphin File Manager.
http://fluxflux.net/forum/index.php?action=downloads;cat=10

Convert from a console using txz2sb
Note Fluxflux are run by flux (ex slaxer) and Manfred Mueller (Better known as Quax on Slax's forum).


I tried Adobe reader and it affected slax so bad, as all of icons disappeared, however I found a very decent and lightweight instant messenger there: "Instant Bird" (by mozilla) there and I really prefer it over pidgin.
http://fluxflux.net/forum/index.php?action=downloads;sa=view;down=15

I still try to make ends meet with Okular. :)

I wish if i knew how to remove some excessive Slax components safely?
 
jcsoh
wrote 1 year ago


reply
"remove some excessive Slax components safely?"
It's supposed to have been stripped almost to the maximum.
 
saman
wrote 1 year ago


reply
jcsoh wrote:
"remove some excessive Slax components safely?"
It's supposed to have been stripped almost to the maximum.


for example, i do not require those games, or I prefer instant bird over pidgin so pidgin must be removed. by having mousepad through slax, Kwrite and kate.
 
saman
wrote 1 year ago


reply
em wrote:
Ive tested mozilla Instantbird like Saman said ... :)

If someone want test it under Slax 7 ive build the bundles.

Feel free to test!


Instantbird 1.3 x86 for Slax 7.x.x



Instantbird-1.3.fr-i686.sb - 14 MB :

http://www.mediafire.com/?6jty803jxbcp7uw


Instantbird-1.3.en-US-i686 - 14 MB :

http://www.mediafire.com/?fffun5pihhkfw4n


I return to Xfce tasks :) ...

you made the right choice, pidgin is heavy and clumsy.
 
jcsoh
wrote 1 year ago


reply
Someone had requested and Tomas had review removing the games / providing them as a separate modules but concluded that the space saved is too insignificant.

As for providing each application as a separate bundles , I guess there are too many to separate and to be fair this is the first time someone mentioned not wanting pidgin.

In slax 6 , there was numerous request for koffice to be a separate module from many users of openoffice (at that time there was no libreoffice yet) and Tomas did separate koffice as a separate module .
 
jcsoh
wrote 1 year ago


reply
Not too sure if this still work with slax 7:-
http://old.slax.org/forum.php?action=view&parentID=9231&highlight=stripping%20slax
 
saman
wrote 1 year ago


reply
em wrote:
Hi Saman !

You must install python 2.7 bundle before using python things ... :)


Dear EM,

I got python 2.7.3 but it did not help me at all,

meanwhile, I saw that you fixed the language switching on new xfce, I appreciate if you help me do it on your older xfce (90-xfce-4.10.0-i486-em.sb) too? previously I asked you about this matter and you forwarded me into a forum, but that was very tough for me and I could not understand it.
 
saman
wrote 1 year ago


reply
em wrote:
@ Saman !

Hi Saman !

Language switching on new xfce (aka. xfce4-xkb-plugin :) )

Ive removed the old Slackware 14 based xfce 4.10.0 bundle ... so :)

3 solutions remains :

1. Best way is to compile directly from source, under Slax or Slackware same version, from here :

http://archive.xfce.org/src/panel-plugins/xfce4-xkb-plugin/0.5/xfce4-xkb-plugin-0.5.4.3.tar.bz2

With the help of :

http://www.slackbuilds.org/repository/14.0/desktop/xfce4-xkb-plugin/

or

http://slackware.org.uk/people/rlworkman/sources/14.0/xfce4-xkb-plugin/xfce4-xkb-plugin.SlackBuild

or

http://www.mmnt.net/db/0/0/ftp.slackware.org.uk/people/rworkman/sources/14.0/xfce4-xkb-plugin

Once compiled and installed, select the plugin in your panel, then make a module/bundle of it.

Thats the way i do it.

2. Find the Slackware 14 or current (in case of slax 7, depend on version used) .t?z somewhere :

From here by example :

http://salix.enialis.net/i486/14.0/salix/xfce/xfce4-xkb-plugin-0.5.4.3-i486-1gv.txz

and convert it txz2sb xfce4-xkb-plugin-0.5.4.3-i486-1gv.txz xfce4-xkb-plugin-0.5.4.3-i486-1gv.sb

3. Find a generous slaxer providing you the ready made .sb bundle :)

Regards.


Dear EM,

Thanks for your detailed and decent reply ^~^
1 >> The first one, was higher than my vintage level, I wish If I knew how to compile: "xfce4-xkb-plugin-0.5.4.3.tar.bz2" with the help of given links:
http://archive.xfce.org/src/panel-plugins/xfce4-xkb-plugin/0.5/xfce4-xkb-plugin-0.5.4.3.tar.bz2
or
http://slackware.org.uk/people/rlworkman/sources/14.0/xfce4-xkb-plugin/xfce4-xkb-plugin.SlackBuild
The 3rd link is censored by our government for unknown reason :s

2 >> as for second solution I tried and made .sb file out of .txz
but once I tried to add keyboard layouts I got the following error:

Plugin "Keyboard Layouts" unexpectedly left the panel, do you want to restart it?

The plugin restarted more than once in the last 60 seconds. If you press Execute the panel will try to restart the plugin otherwise it will be permanently removed from the panel.

3 >> as for your generous offering :"> I got the same error mentioned above while adding the KEYBOARD LAYOUT :s

Would you please help me?

** p.s. on the forum somebody is asking for XFCE, may I share your XFCE with him/her?
 
fixitman
wrote 1 year ago


reply
em wrote:
XFCE runs good under Slax 7.0.5 but none of the volume icon ive tested runs on 7.0.8!

Due to some modifications made by Thomas in 01-core.sb or in initrfs.img!


Found a deb package that should work, Volti. Yes, it uses Python:
Dependencies

pygtk 2.16.0 or later

pyalsaaudio 0.6 or later

dbus-python 0.80.0 or later

python-xlib 0.15rc1 or later (optional, used for keys events as an alternative to hal)
Info at:

http://code.google.com/p/volti/
__________It's working great on my Xubuntu!_______________
 

  » search  » forum index  

Post your reply

Your name (Login):

Message:

These HTML tags are allowed: <quote>, <b>, <u>, <i>, <pre>, <code>, <small>, <h1>, <h2>, <h3>, <li>



Slax is generously supported by: P&P Software GmbH and wisol technologie GmbH